IPCRM(1)

NAME
ipcrm - remove the specified message queues, semaphore sets, and shared memory segments

SYNOPSIS
ipcrm [-M shmkey] [-m shmid] [-Q msgkey] [-q msqid] [-S semkey] [-s semid] ...

DESCRIPTION
ipcrm removes the specified message queues, semaphores, and shared memory segments. These System V IPC objects can be specified by their creation ID or any associated key.

The following options are used to specify which IPC objects will be removed. Any number and combination of these options can be used:

-M shmkey
    Mark the shared memory segment associated with key shmkey for removal. This marked segment will be destroyed after the last detach.

-m shmid
    Mark the shared memory segment associated with ID shmid for removal. This marked segment will be destroyed after the last detach.

-Q msgkey
    Remove the message queue associated with key msgkey from the system.

-q msqid
    Remove the message queue associated with the ID msqid from the system.

-S semkey
    Remove the semaphore set associated with key semkey from the system.

-s semid
    Removes the semaphore set associated with ID semid from the system.

If the id or key argument is “all” then all entries of the appropriate type are removed.

The identifiers and keys associated with these System V IPC objects can be determined by using ipcs(1).

SEE ALSO
ipcs(1), shmat(2), shmctl(2), shmdt(2), shmget(2)